Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sqlj.runtime
Interface PositionedIterator

public abstract interface PositionedIterator
extends ResultSetIterator

An interface implemented by all iterators that employ a by-position binding strategy. All such iterators depend on the position of the columns of the data to which they are bound, as opposed to the names of the columns to which they are bound.

In addition to implementing this interface, position-bound iterator implementations will provide:

- A public constructor which takes an RTResultSet as a parameter. If the construction of a positioned iterator results in an exception being thrown, it is assumed that the iterator automatically closes the underlying result set. This only applies to exceptions thrown during construction.
- An accessor method for each column in the expected result. The name of the accessor method for the Nth column will be getColN.

Fields inherited from class sqlj.runtime.ResultSetIterator
`ASENSITIVE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, INSENSITIVE, SENSITIVE`

Method Summary
`boolean` | `endFetch()` Returns true iff the iterator is not positioned on a row.

Methods inherited from interface sqlj.runtime.ResultSetIterator
`clearWarnings, close, getFetchSize, getResultSet, getSensitivity, getWarnings, isClosed, next, setFetchSize`

Method Detail

### endFetch

    public boolean endFetch()
                     throws java.sql.SQLException

  Returns true iff the iterator is not positioned on a row. This method is used to determine the success of a FETCH..INTO statement; it returns true if the last attempt to fetch a row failed, false if the last attempt was successful. Rows are attempted to be fetched when the `next` method is called (which is called implicitely during the execution of a FETCH..INTO statement). Note: If `next` has not yet been called, this method returns true;

  A common usage of this method is as follows:

      while (true) {
       #sql { FETCH :c INTO ... };
       if (c.endFetch()) break;
       ...
      }

  Throws:
    java.sql.SQLException - if a databse access error occurs
  See Also:
    `ResultSetIterator.next()`

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD